curl --request POST \
--url https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/metadata:extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_id": "<string>",
"llm_model_prefix": "gemini-2.5-pro",
"attachment_filters": [
{
"name": "<string>",
"id": "<string>",
"mime_type": "<string>"
}
],
"sources": [
{
"type": "description"
}
],
"instruction": "<string>",
"provide_location": false,
"fields": [
{
"name": "<string>",
"id": "<string>",
"instruction": "<string>",
"barcode": false,
"integer_decimal_handling": "error",
"table_search": {
"dataset_id": "<string>",
"input_columns": [
"<string>"
],
"output_columns": [
{
"name": "<string>",
"id_column": "<string>"
}
]
}
}
],
"example_documents": [
"<string>"
],
"registries": [
{
"name": "<string>",
"library_id": "<string>",
"document_class_id": "<string>",
"field_mappings": [
{
"extracted_field": "<string>",
"registry_field": "<string>",
"key_field": false,
"optional_key": false,
"similarity_threshold": 1
}
],
"match_mode": "ALL"
}
]
}
'import requests
url = "https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/metadata:extract"
payload = {
"document_id": "<string>",
"llm_model_prefix": "gemini-2.5-pro",
"attachment_filters": [
{
"name": "<string>",
"id": "<string>",
"mime_type": "<string>"
}
],
"sources": [{ "type": "description" }],
"instruction": "<string>",
"provide_location": False,
"fields": [
{
"name": "<string>",
"id": "<string>",
"instruction": "<string>",
"barcode": False,
"integer_decimal_handling": "error",
"table_search": {
"dataset_id": "<string>",
"input_columns": ["<string>"],
"output_columns": [
{
"name": "<string>",
"id_column": "<string>"
}
]
}
}
],
"example_documents": ["<string>"],
"registries": [
{
"name": "<string>",
"library_id": "<string>",
"document_class_id": "<string>",
"field_mappings": [
{
"extracted_field": "<string>",
"registry_field": "<string>",
"key_field": False,
"optional_key": False,
"similarity_threshold": 1
}
],
"match_mode": "ALL"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_id: '<string>',
llm_model_prefix: 'gemini-2.5-pro',
attachment_filters: [{name: '<string>', id: '<string>', mime_type: '<string>'}],
sources: [{type: 'description'}],
instruction: '<string>',
provide_location: false,
fields: [
{
name: '<string>',
id: '<string>',
instruction: '<string>',
barcode: false,
integer_decimal_handling: 'error',
table_search: {
dataset_id: '<string>',
input_columns: ['<string>'],
output_columns: [{name: '<string>', id_column: '<string>'}]
}
}
],
example_documents: ['<string>'],
registries: [
{
name: '<string>',
library_id: '<string>',
document_class_id: '<string>',
field_mappings: [
{
extracted_field: '<string>',
registry_field: '<string>',
key_field: false,
optional_key: false,
similarity_threshold: 1
}
],
match_mode: 'ALL'
}
]
})
};
fetch('https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/metadata:extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"values": [
{
"id": "<string>",
"name": "<string>",
"type": "STRING",
"quote": "<string>",
"bounding_boxes": [
{
"attachment_id": "<string>",
"page": 2,
"x": 0.5,
"y": 0.5,
"width": 0,
"height": 0
}
],
"confidence": "low",
"value": [
"<string>"
],
"category_value": [
{
"hierarchy": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"reference_catalog_value": [
{
"id": "<string>",
"name": "<string>"
}
],
"person_value": [
{
"email": "<string>",
"name": "<string>"
}
],
"table_value": [
{
"columns": {}
}
],
"error": "<string>",
"note": "<string>"
}
],
"registry_matches": [
{
"name": "<string>",
"document_id": "<string>",
"key_matches": [
{
"extracted_field_name": "<string>",
"extracted_field_id": "<string>",
"extracted_value": [
"<string>"
],
"registry_value": [
"<string>"
],
"similarity": 123
}
],
"multiple_matches": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Extract Metadata
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The domain of the customer
"example.com"
Body
The document ID of the files
The LLM provider to use. If not provided, the default provider will be used.
OpenAI, Google, Altirnao, MistralAI, Anthropic The prefix of the LLM model name to use. If not provided, the default model will be used.
"gemini-2.5-pro"
The attachments to extract metadata from. If provided then only the attachments matching one of the rules are used. If not provided then all attachments will be extracted. Deprecated: use sources with an attachments entry instead.
Show child attributes
Show child attributes
The ordered document content sources to extract metadata from. If omitted, attachment-only extraction is used for backward compatibility. Description sources are opt-in.
1- DescriptionExtractionSource
- AttachmentsExtractionSource
Show child attributes
Show child attributes
The prompt extension for the metadata extraction
Whether to calculate and return page locations (bounding boxes) for the quote supporting each extracted field. Quotes are matched against textual and scanned PDF attachments plus PNG, JPEG, and WebP images without changing extracted values. Unsupported attachment types and quotes that do not occur verbatim after normalization do not produce boxes.
Specification which metadata to extract and how. If not provided, all fields will be extracted.
Show child attributes
Show child attributes
A list of example documents to use for metadata extraction. If provided, the LLM will use these documents to better understand the context and provide more accurate extractions.
A list of metadata registries to use for metadata extraction. If provided, the LLM will use these registries to better understand the context and provide more accurate extractions.
Show child attributes
Show child attributes